# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_assertions.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

- namespace dirac

## Defines

- #define cmpCOND(exp, trueRes, falseRes) ( (exp) ? (trueRes) : (falseRes) )
- #define ERREXP(exp, errfn, text) cmpCOND((exp), ((void)0), errfn(__FILE__,__LINE__,text))
- #define ASSERT(exp) ERREXP(exp,dirac_assert,NULL)
- #define ASSERTM(exp, text) ERREXP(exp,dirac_assert,text)
- #define TEST(exp)
- #define TESTM(exp, text)
- #define REPORT(exp) ERREXP(exp,dirac_report,NULL)
- #define REPORTM(exp, text) ERREXP(exp,dirac_report,text)

## Functions

- void dirac::dirac_assert (const char *p_fname, int line_number, const char *p_mess)
- void dirac::dirac_report (const char *p_fname, int line_number, const char *p_mess)

## Define Documentation

#define ASSERT | ( | exp |  | ) | ERREXP(exp,dirac_assert,NULL)

#define ASSERTM | ( | exp,
|  | text |  | ) | ERREXP(exp,dirac_assert,text)

#define cmpCOND | ( | exp,
|  | trueRes,
|  | falseRes |  | ) | ( (exp) ? (trueRes) : (falseRes) )

#define ERREXP | ( | exp,
|  | errfn,
|  | text |  | ) | cmpCOND((exp), ((void)0), errfn(__FILE__,__LINE__,text))

#define REPORT | ( | exp |  | ) | ERREXP(exp,dirac_report,NULL)

#define REPORTM | ( | exp,
|  | text |  | ) | ERREXP(exp,dirac_report,text)

#define TEST | ( | exp |  | ) |

#define TESTM | ( | exp,
|  | text |  | ) |

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.